Package org.xnio

# Class FileChangeEvent

java.lang.Object
org.xnio.FileChangeEvent

public class FileChangeEvent extends Object
The event object that is fired when a file system change is detected.

Author:
  Stuart Douglas
See Also:
  - `FileSystemWatcher`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`FileChangeEvent.Type`
Watched file event types.

## Constructor Summary

Constructors
Constructor
Description
`FileChangeEvent(File file, FileChangeEvent.Type type)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`File`
`getFile()`
Get the file which was being watched.
`FileChangeEvent.Type`
`getType()`
Get the type of event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileChangeEvent

public FileChangeEvent(File file, FileChangeEvent.Type type)
Construct a new instance.

Parameters:
  `file` - the file which is being watched
  `type` - the type of event that was encountered

## Method Details

### getFile

public File getFile()
Get the file which was being watched.

Returns:
  the file which was being watched

### getType

public FileChangeEvent.Type getType()
Get the type of event.

Returns:
  the type of event